///HMSConfig contains joining information of a user to a room
class HMSConfig {
  ///[userName] you want in the room you join.
  final String userName;

  ///[authToken] generated by 100ms servers.
  final String authToken;
  final String? metaData;

  ///[endPoint] where you have to make post request to get token.
  final String? endPoint;
  final bool shouldSkipPIIEvents;

  HMSConfig(
      {this.userName = 'Flutter User',
      required this.authToken,
      this.metaData,
      this.endPoint,
      this.shouldSkipPIIEvents = false});

  Map<String, dynamic> getJson() {
    return {
      'user_name': userName,
      'auth_token': authToken,
      'meta_data': metaData,
      'should_skip_pii_events': shouldSkipPIIEvents,
      'end_point': endPoint
    };
  }
}
